### Interface

# Gio DtlsServerConnection

since: 2.48

#### Description [src]

    interface Gio.DtlsServerConnection : Gio.DatagramBased

`GDtlsServerConnection` is the server-side subclass of `GDtlsConnection`, representing a server-side DTLS connection.

Available since: 2.48

#### Prerequisite

In order to implement DtlsServerConnection, your type must inherit from`GDatagramBased`.

#### Functions

###### g_dtls_server_connection_new

Creates a new `GDtlsServerConnection` wrapping `base_socket`.

since: 2.48

#### Properties

###### Gio.DtlsServerConnection:authentication-mode

The `GTlsAuthenticationMode` for the server. This can be changed before calling `g_dtls_connection_handshake()` if you want to rehandshake with a different mode from the initial handshake.

since: 2.48

#### Interface structure

    struct GioDtlsServerConnectionInterface {
      GTypeInterface g_iface;

    }

Vtable for a `GDtlsServerConnection` implementation.

###### Interface members

`g_iface` |
    GTypeInterface
| The parent interface.